import { IProvider, IWeb3Auth, UserInfo, WALLET_ADAPTER_TYPE } from "@web3auth/base";
export declare const PLUGIN_NAMESPACES: {
    readonly MULTICHAIN: "multichain";
    readonly EIP155: "eip155";
    readonly SOLANA: "solana";
    readonly CASPER: "casper";
    readonly XRPL: "xrpl";
    readonly OTHER: "other";
};
export declare const PLUGIN_STATUS: {
    readonly READY: "ready";
    readonly CONNECTING: "connecting";
    readonly CONNECTED: "connected";
    readonly DISCONNECTED: "disconnected";
    readonly ERRORED: "errored";
};
export declare const PLUGIN_EVENTS: {
    readonly READY: "ready";
    readonly CONNECTING: "connecting";
    readonly CONNECTED: "connected";
    readonly DISCONNECTED: "disconnected";
    readonly ERRORED: "errored";
};
export type PluginNamespace = (typeof PLUGIN_NAMESPACES)[keyof typeof PLUGIN_NAMESPACES];
export declare const EVM_PLUGINS: {
    readonly WALLET_SERVICES: "wallet-services";
};
export declare const SOLANA_PLUGINS: {
    readonly SOLANA: "solana";
};
export declare const WALLET_PLUGINS: {
    readonly SOLANA: "solana";
    readonly WALLET_SERVICES: "wallet-services";
};
export interface IPlugin {
    name: string;
    SUPPORTED_ADAPTERS: WALLET_ADAPTER_TYPE[];
    pluginNamespace: PluginNamespace;
    initWithProvider(provider: IProvider, userInfo: UserInfo): Promise<void>;
    initWithWeb3Auth(web3auth: IWeb3Auth): Promise<void>;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
}
